import React, { Component } from 'react';
interface State {
    selected: string;
}
export default class Settings extends Component<{}, State> {
    tabs: ({
        name: string;
        component: import("react-redux").ConnectedComponent<typeof import("./Connection").Connection, {
            key?: React.Key | null | undefined;
            ref?: React.LegacyRef<import("./Connection").Connection> | undefined;
            context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
            store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
        }>;
    } | {
        name: string;
        component: import("react-redux").ConnectedComponent<typeof import("./Themes").Themes, {
            key?: React.Key | null | undefined;
            ref?: React.LegacyRef<import("./Themes").Themes> | undefined;
            context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
            store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
        }>;
    } | {
        name: string;
        component: import("react-redux").ConnectedComponent<typeof import("./StateTree").StateTree, {
            key?: React.Key | null | undefined;
            ref?: React.LegacyRef<import("./StateTree").StateTree> | undefined;
            context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
            store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
        }>;
    })[];
    state: State;
    handleSelect: (selected: string) => void;
    render(): React.JSX.Element;
}
export {};
